/******************************************************************************/
/* SERIAL.C: Low Level Serial Routines                                        */
/******************************************************************************/
/* This file is part of the uVision/ARM development tools.                    */
/* Copyright (c) 2005-2006 Keil Software. All rights reserved.                */
/* This software may only be used under the terms of a valid, current,        */
/* end user licence from KEIL for a compatible version of KEIL software       */
/* development tools. Nothing else gives you the right to use this software.  */
/******************************************************************************/

#include "lpc2103_.h"                     /* LPC21xx definitions               */
#define CR     0x0D
void UARTInit(char n, unsigned long baudrate, unsigned long  Fpclk)
{
    unsigned long Fdiv;
   if(!n)
   {
    PINSEL0 |= 0x00000005;       /* RxD0 and TxD0 */
    U0LCR = 0x83;		/* 8 bits, no Parity, 1 Stop bit */
//    U0LCR = 0x87;		/* 8 bits, no Parity, 2 Stop bit */
    Fdiv = ( Fpclk / 16 ) / baudrate ;	/*baud rate */
    U0DLM = Fdiv / 256;							
    U0DLL = Fdiv % 256;
	U0LCR = 0x03;		/* DLAB = 0 */
   }
   else
    {
	PINSEL0 |= 0x00050000;       /* RxD1 and TxD1 */
    U1LCR = 0x83;		/* 8 bits, no Parity, 1 Stop bit */
//    U0LCR = 0x87;		/* 8 bits, no Parity, 2 Stop bit */
    Fdiv = (( Fpclk / 16 ) / baudrate)+1 ;	/*baud rate */
    U1DLM = Fdiv / 256;							
    U1DLL = Fdiv % 256;
	U1LCR = 0x03;		/* DLAB = 0 */
   }
}
/* implementation of putchar (also used by printf function to output data)    */
int sendchar (int ch)  {                 /* Write character to Serial Port    */

  if (ch == '\n')  {
    while (!(U1LSR & 0x20));
    U1THR = CR;                          /* output CR */
  }
  while (!(U1LSR & 0x20));
  return (U1THR = ch);
}


int getkey (void)  {                     /* Read character from Serial Port   */

  while (!(U0LSR & 0x01));

  return (U0RBR);
}
